#
# spec file for package pptpd (Version 1.1.2)
#
# Copyright (c) 2003 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir aaa_version base bash bindutil bison bzip cpio cpp cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm gppshare grep groff gzip kbd less m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam-devel pam-modules patch ps rcs readline sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim autoconf automake binutils cracklib gcc gdbm gettext libtool libz pam perl rpm

Name:         pptpd
License:      GPL
Group:        Productivity/Networking/PPP
Requires:     ppp_ssl
Autoreqprov:  on
Version:      1.1.2
Release:      412
URL:          http://poptop.lineo.com
Summary:      PoPToP - PPTP Daemon, Linux as MS VPN Server
Source:       http://poptop.lineo.com/releases/pptpd-%{version}.tar.gz
Patch:        ctrlpacket-syslog.dif
Source1:      rcpptpd
Source3:      pptp-install.tar.gz
Source4:      pptpd.conf
Source5:      options.ppp0
Source7:      README.SuSE
Source8:      LIESMICH.SuSE
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
PoPToP is the PPTP(Point-to-Point Tunneling Protocol) server
solution for Linux, it allows Linux servers to function
seamlessly in the PPTP VPN environment.
This release supports Windows 95/98/NT/2000 PPTP clients and
PPTP Linux clients.

Authors:
--------
    Matthew Ramsay <matthewr@moreton.com.au>
    Kevin Thayer <tmk@netmagic.net>
    David Luyer <luyer@ucs.uwa.edu.au>
    Peter Galbavy <Peter.Galbavy@knowledge.com>

SuSE series: n

%prep
%setup -a 3
%patch -p1
#tar xvfzC $RPM_SOURCE_DIR/pptp-install.tar.gz /usr/doc/packages/pptpd

%build
#FLAGS='-Wall -O2 -pipe'
#export CFLAGS
# Todo: convert to Buildroot(for 7.1)
./configure --prefix=/usr --mandir=%{_mandir}
make

%install
rm -rf %{buildroot}
make install-strip DESTDIR=%{buildroot}
install -m 0755 -o root -g root pptpd			   %{buildroot}/usr/sbin/pptpd
install -m 0755 -o root -g root pptpctrl		   %{buildroot}/usr/sbin/pptpctrl
mkdir -p %{buildroot}/etc/init.d
install -m 0644 -o root -g root $RPM_SOURCE_DIR/pptpd.conf %{buildroot}/etc/pptpd.conf
install -m 0744 -o root -g root $RPM_SOURCE_DIR/rcpptpd	   %{buildroot}/etc/init.d/pptpd
ln -sf ../../../etc/init.d/pptpd %{buildroot}/usr/sbin/rcpptpd

%clean
rm -rf %{buildroot}

%post
%{fillup_and_insserv pptpd}

%postun
%{insserv_cleanup}

%files
%defattr (-, root, root)
%doc $RPM_SOURCE_DIR/README.SuSE $RPM_SOURCE_DIR/LIESMICH.SuSE
%doc $RPM_SOURCE_DIR/options.ppp0
%doc AUTHORS COPYING ChangeLog ChangeLog-0.8 ChangeLog-0.9 INSTALL
%doc README README.inetd README.slirp TODO
%doc html samples PPTP-Installation pptp-server
%config /etc/pptpd.conf
%{_mandir}/*/pptp*
/usr/sbin/pptpctrl
/usr/sbin/pptpd
/usr/sbin/rcpptpd
/etc/init.d/pptpd

%changelog -n pptpd
* Mon May 12 2003 - bk@suse.de
- fix pptp daemon buffer overflow with controlpacket length(#26508)
* Thu Feb 14 2002 - arvin@suse.de
- updated and fixed README
- use BuiltRoot
* Tue Jan 15 2002 - egmont@suselinux.hu
- removed colons from startup/shutdown messages
* Tue Jan 15 2002 - ro@suse.de
- removed START_PPTPD
* Tue Aug 07 2001 - arvin@suse.de
- LSB conform init script (bug #9075)
* Tue Nov 28 2000 - arvin@suse.de
- use insserv in post-install for creating init.d scripts
- changed group tag
* Wed Nov 22 2000 - bk@suse.de
- Updated to version 1.1.2, needed for the firew-livecd with win2k.
- added man pages
* Wed Mar 08 2000 - dipa@suse.de
- added pptp-install.tar.gz, pptpd.conf and options.ppp0
* Mon Mar 06 2000 - bk@suse.de
- added README.SuSE and LIESMICH.SuSE from jnschei.
- wrote and added start script rcpptpd
* Wed Feb 23 2000 - dipa@suse.de
- pptpd is a new package to include linux servers in PPTP
  established VPNs. It based on release version pptp-1.0.0.tgz
